Mac OSX 10.15 Update | v2.4.2

We have managed to update our plugin pack to fit the requirements for Mac OSX 10.15 Catalina and added some additional patches. The new installers v2.4.2 are available now. Please make sure to uninstall existing Black Rooster Audio plugins before re-installing.

If you are experiencing any issues with Audio Units (AU), please run the following commands in your terminal.app:

xcode-select --install
cd /Library/Audio/Plug-ins/Components/
sudo ./Black\ Rooster\ Audio.component/Contents/Resources/aureg --delaucache
sudo codesign --force --deep -s - Black\ Rooster\ Audio.component

Go back